diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/epc-enb-application.h ns-3.44/src/lte/model/epc-enb-application.h
--- ns-3.43/src/lte/model/epc-enb-application.h	2024-10-09 16:41:09.932656000 -0700
+++ ns-3.44/src/lte/model/epc-enb-application.h	2025-03-09 16:55:49.483371500 -0700
@@ -14,14 +14,14 @@
 #include "epc-enb-s1-sap.h"
 #include "epc-s1ap-sap.h"
 
-#include <ns3/address.h>
-#include <ns3/application.h>
-#include <ns3/callback.h>
-#include <ns3/object.h>
-#include <ns3/ptr.h>
-#include <ns3/socket.h>
-#include <ns3/traced-callback.h>
-#include <ns3/virtual-net-device.h>
+#include "ns3/address.h"
+#include "ns3/application.h"
+#include "ns3/callback.h"
+#include "ns3/object.h"
+#include "ns3/ptr.h"
+#include "ns3/socket.h"
+#include "ns3/traced-callback.h"
+#include "ns3/virtual-net-device.h"
 
 #include <map>
 
@@ -31,7 +31,7 @@
 class EpcEnbS1SapProvider;
 
 /**
- * \ingroup lte
+ * @ingroup lte
  *
  * This application is installed inside eNBs and provides the bridge functionality for user data
  * plane packets between the radio interface and the S1-U interface.
@@ -45,8 +45,8 @@
 
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -57,21 +57,21 @@
     /**
      * Constructor
      *
-     * \param lteSocket the socket to be used to send/receive IPv4 packets to/from the
+     * @param lteSocket the socket to be used to send/receive IPv4 packets to/from the
      * LTE radio interface
-     * \param lteSocket6 the socket to be used to send/receive IPv6 packets to/from the
+     * @param lteSocket6 the socket to be used to send/receive IPv6 packets to/from the
      * LTE radio interface
-     * \param cellId the identifier of the eNB
+     * @param cellId the identifier of the eNB
      */
     EpcEnbApplication(Ptr<Socket> lteSocket, Ptr<Socket> lteSocket6, uint16_t cellId);
 
     /**
      * Add a S1-U interface to the eNB
      *
-     * \param s1uSocket the socket to be used to send/receive packets to/from the S1-U interface
+     * @param s1uSocket the socket to be used to send/receive packets to/from the S1-U interface
      * connected with the SGW
-     * \param enbS1uAddress the IPv4 address of the S1-U interface of this eNB
-     * \param sgwS1uAddress the IPv4 address at which this eNB will be able to reach its SGW for
+     * @param enbS1uAddress the IPv4 address of the S1-U interface of this eNB
+     * @param sgwS1uAddress the IPv4 address at which this eNB will be able to reach its SGW for
      * S1-U communications
      */
     void AddS1Interface(Ptr<Socket> s1uSocket,
@@ -87,26 +87,26 @@
     /**
      * Set the S1 SAP User
      *
-     * \param s the S1 SAP User
+     * @param s the S1 SAP User
      */
     void SetS1SapUser(EpcEnbS1SapUser* s);
 
     /**
      *
-     * \return the S1 SAP Provider
+     * @return the S1 SAP Provider
      */
     EpcEnbS1SapProvider* GetS1SapProvider();
 
     /**
      * Set the MME side of the S1-AP SAP
      *
-     * \param s the MME side of the S1-AP SAP
+     * @param s the MME side of the S1-AP SAP
      */
     void SetS1apSapMme(EpcS1apSapMme* s);
 
     /**
      *
-     * \return the ENB side of the S1-AP SAP
+     * @return the ENB side of the S1-AP SAP
      */
     EpcS1apSapEnb* GetS1apSapEnb();
 
@@ -114,7 +114,7 @@
      * Method to be assigned to the recv callback of the LTE socket. It is called when the eNB
      * receives a data packet from the radio interface that is to be forwarded to the SGW.
      *
-     * \param socket pointer to the LTE socket
+     * @param socket pointer to the LTE socket
      */
     void RecvFromLteSocket(Ptr<Socket> socket);
 
@@ -122,14 +122,14 @@
      * Method to be assigned to the recv callback of the S1-U socket. It is called when the eNB
      * receives a data packet from the SGW that is to be forwarded to the UE.
      *
-     * \param socket pointer to the S1-U socket
+     * @param socket pointer to the S1-U socket
      */
     void RecvFromS1uSocket(Ptr<Socket> socket);
 
     /**
      * TracedCallback signature for data Packet reception event.
      *
-     * \param [in] packet The data packet sent from the internet.
+     * @param [in] packet The data packet sent from the internet.
      */
     typedef void (*RxTracedCallback)(Ptr<Packet> packet);
 
@@ -146,25 +146,25 @@
         /**
          * Constructor
          *
-         * \param a RNTI
-         * \param b bid
+         * @param a RNTI
+         * @param b bid
          */
         EpsFlowId_t(const uint16_t a, const uint8_t b);
 
         /**
          * Comparison operator
          *
-         * \param a first application
-         * \param b second application
-         * \returns true is the applications are "equal"
+         * @param a first application
+         * @param b second application
+         * @returns true is the applications are "equal"
          */
         friend bool operator==(const EpsFlowId_t& a, const EpsFlowId_t& b);
         /**
          * Less than operator
          *
-         * \param a first application
-         * \param b second application
-         * \returns true is the applications are "equal"
+         * @param a first application
+         * @param b second application
+         * @returns true is the applications are "equal"
          */
         friend bool operator<(const EpsFlowId_t& a, const EpsFlowId_t& b);
     };
@@ -173,27 +173,27 @@
     // ENB S1 SAP provider methods
     /**
      * Initial UE message function
-     * \param imsi the IMSI
-     * \param rnti the RNTI
+     * @param imsi the IMSI
+     * @param rnti the RNTI
      */
     void DoInitialUeMessage(uint64_t imsi, uint16_t rnti);
     /**
      * Path switch request function
-     * \param params PathSwitchRequestParameters
+     * @param params PathSwitchRequestParameters
      */
     void DoPathSwitchRequest(EpcEnbS1SapProvider::PathSwitchRequestParameters params);
     /**
      * UE Context Release function
-     * \param rnti the RNTI
+     * @param rnti the RNTI
      */
     void DoUeContextRelease(uint16_t rnti);
 
     // S1-AP SAP ENB methods
     /**
      * Initial Context Setup Request
-     * \param mmeUeS1Id the MME UE S1 ID
-     * \param enbUeS1Id the ENB UE S1 ID
-     * \param erabToBeSetupList the ERAB setup list
+     * @param mmeUeS1Id the MME UE S1 ID
+     * @param enbUeS1Id the ENB UE S1 ID
+     * @param erabToBeSetupList the ERAB setup list
      */
     void DoInitialContextSetupRequest(
         uint64_t mmeUeS1Id,
@@ -201,10 +201,10 @@
         std::list<EpcS1apSapEnb::ErabToBeSetupItem> erabToBeSetupList);
     /**
      * Path Switch Request Acknowledge
-     * \param mmeUeS1Id the MME UE S1 ID
-     * \param enbUeS1Id the ENB UE S1 ID
-     * \param cgi the CGI
-     * \param erabToBeSwitchedInUplinkList the ERAB switched in uplink list
+     * @param mmeUeS1Id the MME UE S1 ID
+     * @param enbUeS1Id the ENB UE S1 ID
+     * @param cgi the CGI
+     * @param erabToBeSwitchedInUplinkList the ERAB switched in uplink list
      */
     void DoPathSwitchRequestAcknowledge(
         uint64_t enbUeS1Id,
@@ -213,37 +213,37 @@
         std::list<EpcS1apSapEnb::ErabSwitchedInUplinkItem> erabToBeSwitchedInUplinkList);
 
     /**
-     * \brief This function accepts bearer id corresponding to a particular UE and schedules
+     * @brief This function accepts bearer id corresponding to a particular UE and schedules
      * indication of bearer release towards MME
-     * \param imsi maps to mmeUeS1Id
-     * \param rnti maps to enbUeS1Id
-     * \param bearerId Bearer Identity which is to be de-activated
+     * @param imsi maps to mmeUeS1Id
+     * @param rnti maps to enbUeS1Id
+     * @param bearerId Bearer Identity which is to be de-activated
      */
     void DoReleaseIndication(uint64_t imsi, uint16_t rnti, uint8_t bearerId);
 
     /**
      * Send a packet to the UE via the LTE radio interface of the eNB
      *
-     * \param packet t
-     * \param rnti maps to enbUeS1Id
-     * \param bid the EPS Bearer Identifier
+     * @param packet t
+     * @param rnti maps to enbUeS1Id
+     * @param bid the EPS Bearer Identifier
      */
     void SendToLteSocket(Ptr<Packet> packet, uint16_t rnti, uint8_t bid);
 
     /**
      * Send a packet to the SGW via the S1-U interface
      *
-     * \param packet packet to be sent
-     * \param teid the Tunnel Endpoint Identifier
+     * @param packet packet to be sent
+     * @param teid the Tunnel Endpoint Identifier
      */
     void SendToS1uSocket(Ptr<Packet> packet, uint32_t teid);
 
     /**
      * internal method used for the actual setup of the S1 Bearer
      *
-     * \param teid the Tunnel Endpoint Identifier
-     * \param rnti maps to enbUeS1Id
-     * \param bid the S1-U Bearer Identifier
+     * @param teid the Tunnel Endpoint Identifier
+     * @param rnti maps to enbUeS1Id
+     * @param bid the S1-U Bearer Identifier
      */
     void SetupS1Bearer(uint32_t teid, uint16_t rnti, uint8_t bid);
 
@@ -320,12 +320,12 @@
     uint16_t m_cellId; ///< cell ID
 
     /**
-     * \brief Callback to trace RX (reception) data packets from LTE Socket.
+     * @brief Callback to trace RX (reception) data packets from LTE Socket.
      */
     TracedCallback<Ptr<Packet>> m_rxLteSocketPktTrace;
 
     /**
-     * \brief Callback to trace RX (reception) data packets from S1-U Socket.
+     * @brief Callback to trace RX (reception) data packets from S1-U Socket.
      */
     TracedCallback<Ptr<Packet>> m_rxS1uSocketPktTrace;
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/epc-enb-s1-sap.h ns-3.44/src/lte/model/epc-enb-s1-sap.h
--- ns-3.43/src/lte/model/epc-enb-s1-sap.h	2024-10-09 16:41:09.932656000 -0700
+++ ns-3.44/src/lte/model/epc-enb-s1-sap.h	2025-03-09 16:55:49.483371500 -0700
@@ -11,7 +11,7 @@
 
 #include "eps-bearer.h"
 
-#include <ns3/ipv4-address.h>
+#include "ns3/ipv4-address.h"
 
 #include <list>
 
@@ -32,16 +32,16 @@
     /**
      * Initial UE message.
      *
-     * \param imsi IMSI
-     * \param rnti RNTI
+     * @param imsi IMSI
+     * @param rnti RNTI
      */
     virtual void InitialUeMessage(uint64_t imsi, uint16_t rnti) = 0;
 
     /**
-     * \brief Triggers epc-enb-application to send ERAB Release Indication message towards MME
-     * \param imsi the UE IMSI
-     * \param rnti the UE RNTI
-     * \param bearerId Bearer Identity which is to be de-activated
+     * @brief Triggers epc-enb-application to send ERAB Release Indication message towards MME
+     * @param imsi the UE IMSI
+     * @param rnti the UE RNTI
+     * @param bearerId Bearer Identity which is to be de-activated
      */
     virtual void DoSendReleaseIndication(uint64_t imsi, uint16_t rnti, uint8_t bearerId) = 0;
 
@@ -64,7 +64,7 @@
     /**
      * Path Switch Request
      *
-     * \param params
+     * @param params
      */
     virtual void PathSwitchRequest(PathSwitchRequestParameters params) = 0;
 
@@ -73,7 +73,7 @@
      * reception of the UE CONTEXT RELEASE X2 message from the target eNB
      * during X2-based handover
      *
-     * \param rnti RNTI
+     * @param rnti RNTI
      */
     virtual void UeContextRelease(uint16_t rnti) = 0;
 };
@@ -100,7 +100,7 @@
     /**
      * Initial context setup request
      *
-     * \param params Parameters
+     * @param params Parameters
      */
     virtual void InitialContextSetupRequest(InitialContextSetupRequestParameters params) = 0;
 
@@ -120,7 +120,7 @@
     /**
      * Request the setup of a DataRadioBearer
      *
-     * \param params Parameters
+     * @param params Parameters
      */
     virtual void DataRadioBearerSetupRequest(DataRadioBearerSetupRequestParameters params) = 0;
 
@@ -133,7 +133,7 @@
     /**
      * Request a path switch acknowledge
      *
-     * \param params Parameters
+     * @param params Parameters
      */
     virtual void PathSwitchRequestAcknowledge(PathSwitchRequestAcknowledgeParameters params) = 0;
 };
@@ -149,7 +149,7 @@
     /**
      * Constructor
      *
-     * \param owner the owner class
+     * @param owner the owner class
      */
     MemberEpcEnbS1SapProvider(C* owner);
 
@@ -214,7 +214,7 @@
     /**
      * Constructor
      *
-     * \param owner the owner class
+     * @param owner the owner class
      */
     MemberEpcEnbS1SapUser(C* owner);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/epc-gtpc-header.h ns-3.44/src/lte/model/epc-gtpc-header.h
--- ns-3.43/src/lte/model/epc-gtpc-header.h	2024-10-09 16:41:09.932656000 -0700
+++ ns-3.44/src/lte/model/epc-gtpc-header.h	2025-03-09 16:55:49.483371500 -0700
@@ -18,9 +18,9 @@
 {
 
 /**
- * \ingroup lte
+ * @ingroup lte
  *
- * \brief Header of the GTPv2-C protocol
+ * @brief Header of the GTPv2-C protocol
  *
  * Implementation of the GPRS Tunnelling Protocol for Control Plane (GTPv2-C) header
  * according to the 3GPP TS 29.274 document
@@ -31,8 +31,8 @@
     GtpcHeader();
     ~GtpcHeader() override;
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
@@ -46,54 +46,54 @@
      *
      * Subclasses are supposed to have a message size greater than zero.
      *
-     * \returns the message size
+     * @returns the message size
      */
     virtual uint32_t GetMessageSize() const;
 
     /**
      * Get message type
-     * \returns the message type
+     * @returns the message type
      */
     uint8_t GetMessageType() const;
     /**
      * Get message length
-     * \returns the message length
+     * @returns the message length
      */
     uint16_t GetMessageLength() const;
     /**
      * Get TEID
-     * \returns the TEID
+     * @returns the TEID
      */
     uint32_t GetTeid() const;
     /**
      * Get sequence number
-     * \returns the sequence number
+     * @returns the sequence number
      */
     uint32_t GetSequenceNumber() const;
 
     /**
      * Set message type
-     * \param messageType the message type
+     * @param messageType the message type
      */
     void SetMessageType(uint8_t messageType);
     /**
      * Set message length
-     * \param messageLength the message length
+     * @param messageLength the message length
      */
     void SetMessageLength(uint16_t messageLength);
     /**
      * Set TEID
-     * \param teid the TEID
+     * @param teid the TEID
      */
     void SetTeid(uint32_t teid);
     /**
      * Set sequence number
-     * \param sequenceNumber the sequence number
+     * @param sequenceNumber the sequence number
      */
     void SetSequenceNumber(uint32_t sequenceNumber);
     /**
      * Set IEs length. It is used to compute the message length
-     * \param iesLength the IEs length
+     * @param iesLength the IEs length
      */
     void SetIesLength(uint16_t iesLength);
 
@@ -165,19 +165,19 @@
   protected:
     /**
      * Serialize the GTP-C header in the GTP-C messages
-     * \param i the buffer iterator
+     * @param i the buffer iterator
      */
     void PreSerialize(Buffer::Iterator& i) const;
     /**
      * Deserialize the GTP-C header in the GTP-C messages
-     * \param i the buffer iterator
-     * \return number of bytes deserialized
+     * @param i the buffer iterator
+     * @return number of bytes deserialized
      */
     uint32_t PreDeserialize(Buffer::Iterator& i);
 };
 
 /**
- * \ingroup lte
+ * @ingroup lte
  * GTP-C Information Elements
  */
 class GtpcIes
@@ -199,8 +199,8 @@
     const uint32_t serializedSizePacketFilter =
         3 + 9 + 9 + 5 + 5 + 3; //!< Packet filter serialized size
     /**
-     * \return the BearerTft serialized size
-     * \param packetFilters The packet filter
+     * @return the BearerTft serialized size
+     * @param packetFilters The packet filter
      */
     uint32_t GetSerializedSizeBearerTft(std::list<EpcTft::PacketFilter> packetFilters) const;
     const uint32_t serializedSizeUliEcgi = 12;            //!< UliEcgi serialized size
@@ -209,49 +209,49 @@
 
     /**
      * Serialize the IMSI
-     * \param i Buffer iterator
-     * \param imsi The IMSI
+     * @param i Buffer iterator
+     * @param imsi The IMSI
      */
     void SerializeImsi(Buffer::Iterator& i, uint64_t imsi) const;
     /**
      * Deserialize the IMSI
-     * \param i Buffer iterator
-     * \param [out] imsi The IMSI
-     * \return the number of deserialized bytes
+     * @param i Buffer iterator
+     * @param [out] imsi The IMSI
+     * @return the number of deserialized bytes
      */
     uint32_t DeserializeImsi(Buffer::Iterator& i, uint64_t& imsi) const;
 
     /**
      * Serialize the Cause
-     * \param i Buffer iterator
-     * \param cause The Cause
+     * @param i Buffer iterator
+     * @param cause The Cause
      */
     void SerializeCause(Buffer::Iterator& i, Cause_t cause) const;
     /**
      * Deserialize the Cause
-     * \param i Buffer iterator
-     * \param [out] cause The cause
-     * \return the number of deserialized bytes
+     * @param i Buffer iterator
+     * @param [out] cause The cause
+     * @return the number of deserialized bytes
      */
     uint32_t DeserializeCause(Buffer::Iterator& i, Cause_t& cause) const;
 
     /**
      * Serialize the eps Bearer Id
-     * \param i Buffer iterator
-     * \param  epsBearerId The eps Bearer Id
+     * @param i Buffer iterator
+     * @param  epsBearerId The eps Bearer Id
      */
     void SerializeEbi(Buffer::Iterator& i, uint8_t epsBearerId) const;
     /**
      * Deserialize the eps Bearer Id
-     * \param i Buffer iterator
-     * \param [out] epsBearerId The eps Bearer Id
-     * \return the number of deserialized bytes
+     * @param i Buffer iterator
+     * @param [out] epsBearerId The eps Bearer Id
+     * @return the number of deserialized bytes
      */
     uint32_t DeserializeEbi(Buffer::Iterator& i, uint8_t& epsBearerId) const;
 
     /**
-     * \param i Buffer iterator
-     * \param data data to write in buffer
+     * @param i Buffer iterator
+     * @param data data to write in buffer
      *
      * Write the data in buffer and advance the iterator position
      * by five bytes. The data is written in network order and the
@@ -259,8 +259,8 @@
      */
     void WriteHtonU40(Buffer::Iterator& i, uint64_t data) const;
     /**
-     * \param i Buffer iterator
-     * \return the five bytes read in the buffer.
+     * @param i Buffer iterator
+     * @return the five bytes read in the buffer.
      *
      * Read data and advance the Iterator by the number of bytes
      * read.
@@ -270,78 +270,78 @@
 
     /**
      * Serialize the eps Bearer QoS
-     * \param i Buffer iterator
-     * \param bearerQos The Bearer QoS
+     * @param i Buffer iterator
+     * @param bearerQos The Bearer QoS
      */
     void SerializeBearerQos(Buffer::Iterator& i, EpsBearer bearerQos) const;
     /**
      * Deserialize the eps Bearer QoS
-     * \param i Buffer iterator
-     * \param [out] bearerQos The Bearer QoS
-     * \return the number of deserialized bytes
+     * @param i Buffer iterator
+     * @param [out] bearerQos The Bearer QoS
+     * @return the number of deserialized bytes
      */
     uint32_t DeserializeBearerQos(Buffer::Iterator& i, EpsBearer& bearerQos);
 
     /**
      * Serialize the Bearer TFT
-     * \param i Buffer iterator
-     * \param packetFilters The Packet filters
+     * @param i Buffer iterator
+     * @param packetFilters The Packet filters
      */
     void SerializeBearerTft(Buffer::Iterator& i,
                             std::list<EpcTft::PacketFilter> packetFilters) const;
     /**
      * Deserialize the Bearer TFT
-     * \param i Buffer iterator
-     * \param [out] epcTft The Bearer TFT
-     * \return the number of deserialized bytes
+     * @param i Buffer iterator
+     * @param [out] epcTft The Bearer TFT
+     * @return the number of deserialized bytes
      */
     uint32_t DeserializeBearerTft(Buffer::Iterator& i, Ptr<EpcTft> epcTft) const;
 
     /**
      * Serialize the UliEcgi
-     * \param i Buffer iterator
-     * \param uliEcgi The UliEcgi
+     * @param i Buffer iterator
+     * @param uliEcgi The UliEcgi
      */
     void SerializeUliEcgi(Buffer::Iterator& i, uint32_t uliEcgi) const;
     /**
      * Deserialize the UliEcgi
-     * \param i Buffer iterator
-     * \param [out] uliEcgi UliEcgi
-     * \return the number of deserialized bytes
+     * @param i Buffer iterator
+     * @param [out] uliEcgi UliEcgi
+     * @return the number of deserialized bytes
      */
     uint32_t DeserializeUliEcgi(Buffer::Iterator& i, uint32_t& uliEcgi) const;
 
     /**
      * Serialize the Fteid_t
-     * \param i Buffer iterator
-     * \param fteid The Fteid_t
+     * @param i Buffer iterator
+     * @param fteid The Fteid_t
      */
     void SerializeFteid(Buffer::Iterator& i, GtpcHeader::Fteid_t fteid) const;
     /**
      * Deserialize the Fteid
-     * \param i Buffer iterator
-     * \param [out] fteid Fteid
-     * \return the number of deserialized bytes
+     * @param i Buffer iterator
+     * @param [out] fteid Fteid
+     * @return the number of deserialized bytes
      */
     uint32_t DeserializeFteid(Buffer::Iterator& i, GtpcHeader::Fteid_t& fteid) const;
 
     /**
      * Serialize the Bearer Context Header
-     * \param i Buffer iterator
-     * \param length The length
+     * @param i Buffer iterator
+     * @param length The length
      */
     void SerializeBearerContextHeader(Buffer::Iterator& i, uint16_t length) const;
     /**
      * Deserialize the Bearer Context Header
-     * \param i Buffer iterator
-     * \param [out] length length
-     * \return the number of deserialized bytes
+     * @param i Buffer iterator
+     * @param [out] length length
+     * @return the number of deserialized bytes
      */
     uint32_t DeserializeBearerContextHeader(Buffer::Iterator& i, uint16_t& length) const;
 };
 
 /**
- * \ingroup lte
+ * @ingroup lte
  * GTP-C Create Session Request Message
  */
 class GtpcCreateSessionRequestMessage : public GtpcHeader, public GtpcIes
@@ -350,8 +350,8 @@
     GtpcCreateSessionRequestMessage();
     ~GtpcCreateSessionRequestMessage() override;
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
@@ -363,34 +363,34 @@
 
     /**
      * Get the IMSI
-     * \return IMSI
+     * @return IMSI
      */
     uint64_t GetImsi() const;
     /**
      * Set the IMSI
-     * \param imsi IMSI
+     * @param imsi IMSI
      */
     void SetImsi(uint64_t imsi);
 
     /**
      * Get the UliEcgi
-     * \return UliEcgi
+     * @return UliEcgi
      */
     uint32_t GetUliEcgi() const;
     /**
      * Set the UliEcgi
-     * \param uliEcgi UliEcgi
+     * @param uliEcgi UliEcgi
      */
     void SetUliEcgi(uint32_t uliEcgi);
 
     /**
      * Get the Sender CpFteid
-     * \return Sender CpFteid
+     * @return Sender CpFteid
      */
     GtpcHeader::Fteid_t GetSenderCpFteid() const;
     /**
      * Set the Sender CpFteid
-     * \param fteid Sender CpFteid
+     * @param fteid Sender CpFteid
      */
     void SetSenderCpFteid(GtpcHeader::Fteid_t fteid);
 
@@ -407,12 +407,12 @@
 
     /**
      * Get the Bearer Contexts
-     * \return the Bearer Context list
+     * @return the Bearer Context list
      */
     std::list<BearerContextToBeCreated> GetBearerContextsToBeCreated() const;
     /**
      * Set the Bearer Contexts
-     * \param bearerContexts the Bearer Context list
+     * @param bearerContexts the Bearer Context list
      */
     void SetBearerContextsToBeCreated(std::list<BearerContextToBeCreated> bearerContexts);
 
@@ -426,7 +426,7 @@
 };
 
 /**
- * \ingroup lte
+ * @ingroup lte
  * GTP-C Create Session Response Message
  */
 class GtpcCreateSessionResponseMessage : public GtpcHeader, public GtpcIes
@@ -435,8 +435,8 @@
     GtpcCreateSessionResponseMessage();
     ~GtpcCreateSessionResponseMessage() override;
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
@@ -448,23 +448,23 @@
 
     /**
      * Get the Cause
-     * \return the Cause
+     * @return the Cause
      */
     Cause_t GetCause() const;
     /**
      * Set the Cause
-     * \param cause The cause
+     * @param cause The cause
      */
     void SetCause(Cause_t cause);
 
     /**
      * Get the Sender CpFteid
-     * \return the Sender CpFteid
+     * @return the Sender CpFteid
      */
     GtpcHeader::Fteid_t GetSenderCpFteid() const;
     /**
      * Set the Sender CpFteid
-     * \param fteid the Sender CpFteid
+     * @param fteid the Sender CpFteid
      */
     void SetSenderCpFteid(GtpcHeader::Fteid_t fteid);
 
@@ -482,12 +482,12 @@
 
     /**
      * Get the Container of Bearer Contexts
-     * \return a list of Bearer Contexts
+     * @return a list of Bearer Contexts
      */
     std::list<BearerContextCreated> GetBearerContextsCreated() const;
     /**
      * Set the Bearer Contexts
-     * \param bearerContexts a list of Bearer Contexts
+     * @param bearerContexts a list of Bearer Contexts
      */
     void SetBearerContextsCreated(std::list<BearerContextCreated> bearerContexts);
 
@@ -499,7 +499,7 @@
 };
 
 /**
- * \ingroup lte
+ * @ingroup lte
  * GTP-C Modify Bearer Request Message
  */
 class GtpcModifyBearerRequestMessage : public GtpcHeader, public GtpcIes
@@ -508,8 +508,8 @@
     GtpcModifyBearerRequestMessage();
     ~GtpcModifyBearerRequestMessage() override;
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
@@ -521,23 +521,23 @@
 
     /**
      * Get the IMSI
-     * \return IMSI
+     * @return IMSI
      */
     uint64_t GetImsi() const;
     /**
      * Set the IMSI
-     * \param imsi IMSI
+     * @param imsi IMSI
      */
     void SetImsi(uint64_t imsi);
 
     /**
      * Get the UliEcgi
-     * \return UliEcgi
+     * @return UliEcgi
      */
     uint32_t GetUliEcgi() const;
     /**
      * Set the UliEcgi
-     * \param uliEcgi UliEcgi
+     * @param uliEcgi UliEcgi
      */
     void SetUliEcgi(uint32_t uliEcgi);
 
@@ -552,12 +552,12 @@
 
     /**
      * Get the Bearer Contexts
-     * \return the Bearer Context list
+     * @return the Bearer Context list
      */
     std::list<BearerContextToBeModified> GetBearerContextsToBeModified() const;
     /**
      * Set the Bearer Contexts
-     * \param bearerContexts the Bearer Context list
+     * @param bearerContexts the Bearer Context list
      */
     void SetBearerContextsToBeModified(std::list<BearerContextToBeModified> bearerContexts);
 
@@ -570,7 +570,7 @@
 };
 
 /**
- * \ingroup lte
+ * @ingroup lte
  * GTP-C Modify Bearer Response Message
  */
 class GtpcModifyBearerResponseMessage : public GtpcHeader, public GtpcIes
@@ -579,8 +579,8 @@
     GtpcModifyBearerResponseMessage();
     ~GtpcModifyBearerResponseMessage() override;
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
@@ -592,12 +592,12 @@
 
     /**
      * Get the Cause
-     * \return the Cause
+     * @return the Cause
      */
     Cause_t GetCause() const;
     /**
      * Set the Cause
-     * \param cause The cause
+     * @param cause The cause
      */
     void SetCause(Cause_t cause);
 
@@ -606,7 +606,7 @@
 };
 
 /**
- * \ingroup lte
+ * @ingroup lte
  * GTP-C Delete Bearer Command Message
  */
 class GtpcDeleteBearerCommandMessage : public GtpcHeader, public GtpcIes
@@ -615,8 +615,8 @@
     GtpcDeleteBearerCommandMessage();
     ~GtpcDeleteBearerCommandMessage() override;
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
@@ -634,12 +634,12 @@
 
     /**
      * Get the Bearer contexts
-     * \return container of beraer contexts
+     * @return container of beraer contexts
      */
     std::list<BearerContext> GetBearerContexts() const;
     /**
      * Set the Bearer contexts
-     * \param bearerContexts container of beraer contexts
+     * @param bearerContexts container of beraer contexts
      */
     void SetBearerContexts(std::list<BearerContext> bearerContexts);
 
@@ -648,7 +648,7 @@
 };
 
 /**
- * \ingroup lte
+ * @ingroup lte
  * GTP-C Delete Bearer Request Message
  */
 class GtpcDeleteBearerRequestMessage : public GtpcHeader, public GtpcIes
@@ -657,8 +657,8 @@
     GtpcDeleteBearerRequestMessage();
     ~GtpcDeleteBearerRequestMessage() override;
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
@@ -670,12 +670,12 @@
 
     /**
      * Get the Bearers IDs
-     * \return a container of Bearers IDs
+     * @return a container of Bearers IDs
      */
     std::list<uint8_t> GetEpsBearerIds() const;
     /**
      * Set the Bearers IDs
-     * \param epsBearerIds The container of Bearers IDs
+     * @param epsBearerIds The container of Bearers IDs
      */
     void SetEpsBearerIds(std::list<uint8_t> epsBearerIds);
 
@@ -684,7 +684,7 @@
 };
 
 /**
- * \ingroup lte
+ * @ingroup lte
  * GTP-C Delete Bearer Response Message
  */
 class GtpcDeleteBearerResponseMessage : public GtpcHeader, public GtpcIes
@@ -693,8 +693,8 @@
     GtpcDeleteBearerResponseMessage();
     ~GtpcDeleteBearerResponseMessage() override;
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
@@ -706,23 +706,23 @@
 
     /**
      * Get the Cause
-     * \return the Cause
+     * @return the Cause
      */
     Cause_t GetCause() const;
     /**
      * Set the Cause
-     * \param cause The cause
+     * @param cause The cause
      */
     void SetCause(Cause_t cause);
 
     /**
      * Get the Bearers IDs
-     * \return a container of Bearers IDs
+     * @return a container of Bearers IDs
      */
     std::list<uint8_t> GetEpsBearerIds() const;
     /**
      * Set the Bearers IDs
-     * \param epsBearerIds The container of Bearers IDs
+     * @param epsBearerIds The container of Bearers IDs
      */
     void SetEpsBearerIds(std::list<uint8_t> epsBearerIds);
 
